<?

/*
 * Dan Armendariz
 * Computer Science 76
 * Building Mobile Applications
 * Harvard Extension School
 *
 * Demo a simple XHTML and CSS page, and we'll automatically detect and provide
 * the correct CSS for the platform with (better?) JavaScript.
 * But there might be problems here, as well.
 */

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title>Computer Science E-76: Lecture 0 demo 8</title>
	<meta name="viewport" content="width=device-width" />

<?
	if(strstr($_SERVER['HTTP_USER_AGENT'],'iPhone') || strstr($_SERVER['HTTP_USER_AGENT'],'Android')) {
		?> <link href="mobile2.css" rel="stylesheet" type="text/css" /> <?
	} else {
		?> <link href="desktop.css" rel="stylesheet" type="text/css" /> <?
	}
?>

</head>

<body>

	<div id="page">

		<div id="col1">
		Today's applications are increasingly mobile. Computers are no longer 
		confined to desks and laps but instead live in our pockets and hands. 
		This course teaches students how to build mobile apps for Android and 
		iOS, two of today's most popular platforms, and how to deploy them in 
		Android Market and the App Store. Students learn to write native apps 
		for Android using Eclipse and the Android SDK, to write native apps 
		for iPhones, iPod touches, and iPads using Xcode and the iOS SDK, and 
		to write web apps for both platforms. Prerequisites: prior programming 
		experience in any object-oriented language and familiarity with HTML 
		is assumed. Distance students must have access to an Intel-based Mac 
		running Mac OS X Snow Leopard version 10.6.4 or later. Local students 
		will have access to Macs on campus as needed.
		</div>

		<div id="col2">
		Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis pharetra 
		faucibus magna, vitae pharetra libero fermentum nec. Aenean varius 
		cursus lectus, id blandit dolor imperdiet ac. Proin accumsan bibendum 
		ligula, vel volutpat ipsum condimentum non. Pellentesque id erat nec 
		leo mollis dignissim eleifend sed ligula. Nullam laoreet velit a 
		lectus vestibulum pulvinar. Praesent faucibus cursus feugiat. 
		Suspendisse suscipit, nunc non sollicitudin scelerisque, dui elit 
		ultrices purus, in faucibus mauris justo vel nisi. Phasellus luctus, 
		mauris vitae ultrices tempor, tellus mauris porta nisi, a interdum 
		lorem elit non ligula. Aenean ut magna ut nisi ultricies tincidunt nec 
		at magna. Mauris tellus lorem, tristique id convallis sit amet, 
		tincidunt nec dolor. Nam odio orci, consequat et hendrerit ut, auctor 
		ut arcu. Nam vulputate blandit feugiat. Aliquam erat volutpat. 
		Curabitur interdum enim non justo commodo facilisis. Phasellus 
		lobortis mauris nec purus posuere porta. Maecenas interdum eros id 
		tellus varius dictum. Curabitur arcu enim, varius a venenatis non, 
		sagittis eu turpis. Sed et vulputate ante. Etiam erat nibh, ultricies 
		accumsan mattis luctus, eleifend fringilla leo. Quisque aliquet dui sit 
		amet turpis pellentesque quis facilisis metus vestibulum.
		</div>
	</div>

</body>
</html>